{% extends "codex_app/base.html" %}
{% load thumbnail %}
{% block style %}
.image-list {
display: flex;
}
.image-list .image {
margin: 0.5em;
}
.text-list, .code-list {
max-width: 44em;
}
.abstract {
font-style: italic;
}
.count{
margin-top:.6em;
font-size: 80%;
font-weight: bold;
}
{% endblock %}

{% block content %}

<h2>Texts</h2>
<div class="text-list">
    {% for text in texts %}
    <div class="text">
        <h3>
            <a href="{% url 'get_text' text.id %}">{{text.title}}</a>
        </h3>
        <p>
            {{text.paragraph_set.count}} paragraphs and
            {{text.annotation_count}} annotations
        </p>
        <div class="abstract">
            <p>{{text.first_paragraph}}</p>
        </div>
    </div>
    {% endfor %}
</div>

{% endblock %}
